Equo rescue spmsync [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Post Reply
cl00t
Growing Hen
Posts: 168
Joined: Thu Jan 12, 2012 15:29

Equo rescue spmsync [Solved]

Post by cl00t » Sat Aug 18, 2012 11:39

I've read the wiki about mixing portage & entropy, I thought I would mention that :lol:
I've never installaed a package via emerge before, always used entropy, but I needed to use Gcstar. So I followed the instructions here:

viewtopic.php?f=22&t=27606&p=151306&hil ... ar#p151221

Gcstar installed fine, it pulled in 39 dependencies as well but they all went ok.

Did

Code: Select all

# equo rescue spmsync
After it had finished, magneto informed me I had 38 updates, many seemed to be the dependencies pulled in by installing Gcstar. Did

Code: Select all

#equo upgrade --ask
and installed updates, although they seemed to be the exact same versions as installed when emerging Gcstar. Did

Code: Select all

#equo deptest && equo libtest
and it pulled in 11 missing dependencies.

No missing dependencies now, libtest reports as healthy,

Code: Select all

#equo rescue spmsync
reports:

Code: Select all

# equo rescue spmsync
>>  Scanning Source Package Manager and Entropy databases for differences...
>> cannot convert COUNTER for sci-calculators/galculator-1.3.4, 
>> cannot convert COUNTER for x11-drivers/xf86-video-apm-1.2.4, 
>> cannot convert COUNTER for x11-drivers/xf86-video-sisusb-0.9.5, 
>> cannot convert COUNTER for x11-drivers/xf86-input-aiptek-1.4.1, 
>> cannot convert COUNTER for x11-drivers/xf86-video-voodoo-1.2.4, 
>> cannot convert COUNTER for x11-drivers/xf86-input-acecad-1.5.0, 
>> cannot convert COUNTER for x11-drivers/xf86-video-sis-0.10.6, 
>>  Databases already synced.
Did I do anything wrong?
Last edited by cl00t on Sun Aug 19, 2012 22:05, edited 1 time in total.

BlackNoxis
Growing Hen
Posts: 110
Joined: Tue Oct 06, 2009 10:37
Location: Cluj-Napoca, Transylvania, Romania
Contact:

Re: Equo rescue spmsync

Post by BlackNoxis » Sun Aug 19, 2012 19:39

Nop. Just reinstall those manually, it's a Entropy thing (like a first-use).

User avatar
batvink
Old Dear Hen
Posts: 495
Joined: Sun Oct 28, 2007 11:44
Location: the netherlands

Re: Equo rescue spmsync

Post by batvink » Sun Aug 19, 2012 21:35

with "equo rescue spmsync, you're telling Entropy what you did via Portage.
This is normal and "wanted" behaviour"
if you don't, you end up with a unstable system, or Entropy not noticed of what you did, and downgrading packages., or worse.

cl00t
Growing Hen
Posts: 168
Joined: Thu Jan 12, 2012 15:29

Re: Equo rescue spmsync

Post by cl00t » Sun Aug 19, 2012 22:04

Thanks for the replies, glad I got it right.

cl00t
Growing Hen
Posts: 168
Joined: Thu Jan 12, 2012 15:29

Re: Equo rescue spmsync [Solved]

Post by cl00t » Sun Aug 26, 2012 11:05

Hello,

Something is not right here.
When I ran

Code: Select all

#equo rescue spmsync
afrer installing Gcstar it was before this thread viewtopic.php?f=57&t=27818#p152182 and mine was set to

Code: Select all

ignore-spm-downgrades = disable
I had not edited it, this is how I found it, I have since changed it to

Code: Select all

ignore-spm-downgrades = enable
Anyway, when I first set this system up I installed Catfish via Entropy, now entropy doesn't think it is installed:

Code: Select all

# equo rescue spmsync
>>  Scanning Source Package Manager and Entropy databases for differences...
>> cannot convert COUNTER for sci-calculators/galculator-1.3.4, 
>> cannot convert COUNTER for dev-util/catfish-0.3.2-r1, 
>> cannot convert COUNTER for x11-drivers/xf86-video-apm-1.2.4, 
>> cannot convert COUNTER for x11-drivers/xf86-video-sisusb-0.9.5, 
>> cannot convert COUNTER for x11-drivers/xf86-input-aiptek-1.4.1, 
>> cannot convert COUNTER for x11-drivers/xf86-video-voodoo-1.2.4, 
>> cannot convert COUNTER for x11-drivers/xf86-input-acecad-1.5.0, 
>> cannot convert COUNTER for x11-drivers/xf86-video-sis-0.10.6, 
>>  Databases already synced.

Code: Select all

# equo search catfish
>>  @@ Searching...
>>      @@ Package: dev-util/catfish-0.3.2-r1 branch: 5, [sabayon-weekly] 
>>         Available:     version: 0.3.2-r1 ~ tag: NoTag ~ revision: 0
>>         Installed:     version: Not installed ~ tag: N/A ~ revision: N/A
>>         Slot:          0
>>         Homepage:      http://software.twotoasts.de/index.php?/pages/catfish_summary.html 
>>         Description:   A frontend for find, (s)locate, 
>>                        doodle, tracker, beagle, strigi 
>>                        and pinot 
>>         License:       GPL-2
>>  Keywords:  catfish
>>  Found:     1 entry
Catfish is installed & works well.
I followed the previous mentioned post for instructions on installing Gcstar, now I wonder if something is screwed up?

ps same for Galculator, it is installed & works well, but:

Code: Select all

# equo search sci-calculators/galculator-1.3.4
>>  @@ Searching...
>>      @@ Package: sci-calculators/galculator-1.3.4 branch: 5, [sabayon-weekly] 
>>         Available:     version: 1.3.4 ~ tag: NoTag ~ revision: 1
>>         Installed:     version: Not installed ~ tag: N/A ~ revision: N/A
>>         Slot:          0
>>         Homepage:      http://galculator.sourceforge.net/ 
>>         Description:   GTK+ based algebraic and RPN calculator. 
>>         License:       GPL-2
>>  Keywords:  sci-calculators/galculator-1.3.4
>>  Found:     1 entry

cl00t
Growing Hen
Posts: 168
Joined: Thu Jan 12, 2012 15:29

Re: Equo rescue spmsync [Solved]

Post by cl00t » Sun Aug 26, 2012 11:29

Ok, I reinstalled all packages listed in

Code: Select all

# equo rescue spmsync
>>  Scanning Source Package Manager and Entropy databases for differences...
>> cannot convert COUNTER for sci-calculators/galculator-1.3.4,
>> cannot convert COUNTER for dev-util/catfish-0.3.2-r1,
>> cannot convert COUNTER for x11-drivers/xf86-video-apm-1.2.4,
>> cannot convert COUNTER for x11-drivers/xf86-video-sisusb-0.9.5,
>> cannot convert COUNTER for x11-drivers/xf86-input-aiptek-1.4.1,
>> cannot convert COUNTER for x11-drivers/xf86-video-voodoo-1.2.4,
>> cannot convert COUNTER for x11-drivers/xf86-input-acecad-1.5.0,
>> cannot convert COUNTER for x11-drivers/xf86-video-sis-0.10.6,
>>  Databases already synced.
& now I get

Code: Select all

# equo rescue spmsync --ask
>>  Scanning Source Package Manager and Entropy databases for differences...
>>  Databases already synced.
So it looks like all is ok now.

Post Reply